Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz
Interface JobListener

All Known Subinterfaces:
  TerracottaJobStoreExtensions

All Known Implementing Classes:
  BroadcastJobListener, JobChainingJobListener, JobListenerSupport, LoggingJobHistoryPlugin, PlainTerracottaJobStore, QuartzSchedulerMBeanImpl, SampledStatisticsImpl

    public interface JobListener

The interface to be implemented by classes that want to be informed when a ``JobDetail`` executes. In general, applications that use a `Scheduler` will not have use for this mechanism.

Author:
  James House
See Also:
  `ListenerManager.addJobListener(JobListener, Matcher)`, `Matcher`, `Job`, `JobExecutionContext`, `JobExecutionException`, `TriggerListener`

Method Summary
`String` | `getName()` Get the name of the `JobListener`.
`void` | `jobExecutionVetoed(JobExecutionContext context)` Called by the ``Scheduler`` when a ``JobDetail`` was about to be executed (an associated ``Trigger`` has occurred), but a ``TriggerListener`` vetoed it's execution.
`void` | `jobToBeExecuted(JobExecutionContext context)` Called by the ``Scheduler`` when a ``JobDetail`` is about to be executed (an associated ``Trigger`` has occurred).
`void` | `jobWasExecuted(JobExecutionContext context, JobExecutionException jobException)` Called by the ``Scheduler`` after a ``JobDetail`` has been executed, and be for the associated `Trigger`'s `triggered(xx)` method has been called.

Method Detail

### getName

    String getName()

  Get the name of the `JobListener`.

### jobToBeExecuted

    void jobToBeExecuted(JobExecutionContext context)

  Called by the ``Scheduler`` when a ``JobDetail`` is about to be executed (an associated ``Trigger`` has occurred).

  This method will not be invoked if the execution of the Job was vetoed by a ``TriggerListener``.

  See Also:
    `jobExecutionVetoed(JobExecutionContext)`

### jobExecutionVetoed

    void jobExecutionVetoed(JobExecutionContext context)

  Called by the ``Scheduler`` when a ``JobDetail`` was about to be executed (an associated ``Trigger`` has occurred), but a ``TriggerListener`` vetoed it's execution.

  See Also:
    `jobToBeExecuted(JobExecutionContext)`

### jobWasExecuted

    void jobWasExecuted(JobExecutionContext context,
                        JobExecutionException jobException)

  Called by the ``Scheduler`` after a ``JobDetail`` has been executed, and be for the associated `Trigger`'s `triggered(xx)` method has been called.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2013, Terracotta, Inc.